package leigh.inventory;

import leigh.mecha.math.RadixConverter;
import leigh.mecha.util.StringAccumulatorV2;

import java.util.Locale;

public class NumberGenerator {
    public static void main(String args[]) {
        RadixConverter r = new RadixConverter(RadixConverter.RADIX36);

        int x = 2000000;

        for (int i = x; i < x + 500; i++) {
            StringAccumulatorV2 sa = new StringAccumulatorV2(",");
            sa.add(Integer.toString(i));
            sa.add(r.encode(i).toUpperCase(Locale.ROOT));
            sa.add("https://leigh-co.com/inv/api/v1?lcit=" + r.encode(i).toUpperCase(Locale.ROOT));
            System.out.println(sa.asString());
        }
    }
}
